Subject: Re: [PATCH v2 2/4] 9p/trans_fd: split into dedicated module

From: Dominique Martinet <[email-masked]>
Date: Mon, 10 Jan 2022 09:57:46 +0900

Hi Thomas,

it's been a while but I had a second look as I intend on submitting this
next week, just a small fixup on the Kconfig entry

Thomas Weißschuh wrote on Wed, Nov 03, 2021 at 08:38:21PM +0100:
> diff --git a/net/9p/Kconfig b/net/9p/Kconfig
> index 64468c49791f..af601129f1bb 100644
> --- a/net/9p/Kconfig
> +++ b/net/9p/Kconfig
> @@ -15,6 +15,13 @@ menuconfig NET_9P
>  
>  if NET_9P
>  
> +config NET_9P_FD
> +	depends on VIRTIO

I think that's just a copypaste leftover from NET_9P_VIRTIO ?
Since it used to be code within NET_9P and it's within a if NET_9P it
shouldn't depend on anything.

Also for compatibility I'd suggest we keep it on by default at this
point, e.g. add 'default NET_9P' to this block:

diff --git a/net/9p/Kconfig b/net/9p/Kconfig
index af601129f1bb..deabbd376cb1 100644
--- a/net/9p/Kconfig
+++ b/net/9p/Kconfig
@@ -16,7 +16,7 @@ menuconfig NET_9P
 if NET_9P
 
 config NET_9P_FD
-       depends on VIRTIO
+       default NET_9P
        tristate "9P FD Transport"
        help
          This builds support for transports over TCP, Unix sockets and

I'll just fixup the commit with a word in the message unless you have a
problem with it, please let me know! :)

-- 
Dominique